//---------------------------------------------------------------------------
#include <iostream.h>
#include <conio.h>
#include <stdlib.h>
#pragma hdrstop

#include "structur.h"

void displayRecord(int, mailingListRecord mlRec);
int main(int, char**)
{
  //
  // create an array of pointers to
  // the mailingListRecord structure
  //
  mailingListRecord* listArray[3];
  //
  // create an object for each element of the array
  //
  for (int i=0;i<3;i++)
    listArray[i] = new mailingListRecord;
  cout << endl;
  int index = 0;
  //
  // get three records
  //
  do {
    cout << "First Name: ";
    cin.getline(listArray[index]->firstName,
      sizeof(listArray[index]->firstName) - 1);
    cout << "Last Name: ";
    cin.getline(listArray[index]->lastName,
      sizeof(listArray[index]->lastName) - 1);
    cout << "Address: ";
    cin.getline(listArray[index]->address,
      sizeof(listArray[index]->address) - 1);
    cout << "City: ";
    cin.getline(listArray[index]->city,
      sizeof(listArray[index]->city) - 1);
    cout << "State: ";
    cin.getline(listArray[index]->state,
      sizeof(listArray[index]->state) - 1);
    char buff[10];
    cout << "Zip: ";
    cin.getline(buff, sizeof(buff) - 1);
    listArray[index]->zip = atoi(buff);
    index++;
    cout << endl;
  }
  while (index < 3);
  //
  // display the three records
  //
  clrscr();
  //
  // must dereference the pointer to pass an object
  // to the displayRecord function.
  //
  for (int i=0;i<3;i++) {
    displayRecord(i, *listArray[i]);
  }
  //
  // ask the user to choose a record
  //
  cout << "Choose a record: ";
  int rec;
  do {
    rec = getch();
    rec -= 49;
  } while (rec < 0 || rec > 2);
  //
  // assign the selected record to a temporary variable
  // must dereference here, too
  //
  mailingListRecord temp = *listArray[rec];
  clrscr();
  cout << endl;
  //
  // display the selected recrord
  //
  displayRecord(rec, temp);
  getch();
  return 0;
}
void displayRecord(int num, mailingListRecord mlRec)
{
  cout << "Record " << (num + 1) << ":" << endl;
  cout << "Name:     " << mlRec.firstName << " ";
  cout << mlRec.lastName;
  cout << endl;
  cout << "Address:  " << mlRec.address;
  cout << endl << "          ";
  cout << mlRec.city << ", ";
  cout << mlRec.state << "  ";
  cout << mlRec.zip;
  cout << endl << endl;
}

